Summary: A YAML parser and emitter for Python
Name: PyYAML
Version: 6.0
Release: 5%{?dist}
License: MIT
URL: https://pyyaml.org/
Source0: https://github.com/yaml/pyyaml/archive/%{version}.tar.gz
BuildRequires: gcc libyaml-devel
BuildRequires: python3-devel python3-setuptools python3-Cython

%description 
YAML is a data serialization format designed for human readability 
and interaction with scripting languages. PyYAML is a YAML parser 
and emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle 
support, capable extension API, and sensible error messages. PyYAML 
supports standard YAML tags and provides Python-specific tags that 
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex 
configuration files to object serialization and persistence.

%package -n python3-pyyaml
Summary: %summary
Provides: python3-yaml = %{version}-%{release}
Provides: python3-PyYAML = %{version}-%{release}

%description -n python3-pyyaml 
PyYAML is a full-featured YAML framework for the Python programming language.

%prep
%autosetup -n pyyaml-%{version}
chmod a-x examples/yaml-highlight/yaml_hl.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-pyyaml
%license LICENSE
%doc CHANGES README.md examples
%{python3_sitearch}/*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 12 2022 Wang Zhe <bessiewang@tencent.com> - 6.0-1
- initial build
